/*
 * SaturatedFragmentUnitTest.hpp
 *
 *  Created on: Aug 09, 2012
 *      Author: heber
 */

#ifndef SATURATEDFRAGMENTUNITTEST_HPP_
#define SATURATEDFRAGMENTUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

#include "Fragmentation/Exporters/HydrogenPool.hpp"
#include "Fragmentation/Exporters/SaturatedFragment.hpp"

class element;
class KeySet;
class molecule;

/********************************************** Test classes **************************************/

class SaturatedFragmentTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( SaturatedFragmentTest) ;
    CPPUNIT_TEST ( getKeySet_Test );
    CPPUNIT_TEST ( getRoughBoundingBox );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void getKeySet_Test();
      void getRoughBoundingBox();

private:
      HydrogenPool hydrogens;
      SaturatedFragment::KeySetsInUse_t KeySetsInUse;
      KeySet *set;
      SaturatedFragment *fragment;

      molecule *TestMolecule;
      const element *hydrogen;
      const element *oxygen;
};

#endif /* SATURATEDFRAGMENTUNITTEST_HPP_ */
